function a = build_matrix(N)
h=1/(N-1);
a=zeros(N,N);
w=zeros(N,1);
for i=1:N
    w(i) = h;
end
w(1)=.5*w(1); w(N)=.5*w(N);
for i=1:N
   for j=1:N
      a(i,j)=.5*sin((i-j)*h)*w(j);
   end
end
a = eye(N) - a;
